import request from '@/utils/request'

// 获取奖品列表
export function awardList(data) {
  return request({
    url: '/market/award/getAwardList',
    method: 'post',
    data: data
  })
}

// 添加奖品
export function addAwardt(data) {
  return request({
    url: '/market/award/addAward',
    method: 'post',
    data: data
  })
}

// 删除奖品
export function delAward(data) {
  return request({
    url: '/market/award/delAward',
    method: 'post',
    data: data
  })
}

// 获取抽奖模板列表
export function getDrawTemplateList(data) {
  return request({
    url: '/market/drawTemplate/getDrawTemplateList',
    method: 'post',
    data: data
  })
}

// 新增抽奖模板
export function addDrawTemplate(data) {
  return request({
    url: '/market/drawTemplate/addDrawTemplate',
    method: 'post',
    data: data
  })
}

// 编辑抽奖模板
export function updateDrawTemplate(data) {
  return request({
    url: '/market/drawTemplate/updateDrawTemplate',
    method: 'post',
    data: data
  })
}